"Perdu en forêt" 
by "Gilles"

Part - Introduction

The story genre is "Aventure".
The story creation year is 2009.
The story headline is "Vous êtes seul, perdu au milieu de la forêt. Comment en sortir ?
N'hésitez pas à aller explorer tous les lieux, utiliser les objets qui peuvent vous être utiles..."
The story description is "Vous êtes perdu au milieu de la forêt et devez trouver un moyen d'en sortir."

Include French by Eric Forgeot.        
Include Boussole by Benjamin Roux.

Use French Language.

Use full-length room descriptions. [permet d'afficher la description complète des lieux à chaque visite]

After printing the name of a container: omit contents in listing. [évite de préciser lorsqu'un contenant est vide ou plein]

After printing the name of a supporter: omit contents in listing.

The carrying capacity of the player is always 4.  [défini le nombre d'objets transportables simultanément dans les mains du joueur]

The maximum score is 8. [comme son nom l'indique, défini le score maximal]

figure of forest is the file "forest.png".
figure of river is the file "river.png".

[affichage de l'image "forest"]
Before looking in clairiere for the first time, display the figure of forest

[si l'idée vient au joueur de sentir]
instead of smelling :
	if location is in exterieur
		begin;
		 say "Ça sent bon la forêt.";
	otherwise;
		say "Ça sent un peu le feu de bois.";
	end if.
	

Part - Les lieux

Chapter 1 - Extérieur

exterieur is a region.
clairiere, chemin, chene, sentier, bord_riviere, le_rocher, falaise, cabane are in exterieur. [les régions permettent de regrouper les lieux en utilisant des classes à prédéfinir, chacune ayant éventuellement ses caractéristiques propres.]

[clairiere]
clairiere is a room. "Vous êtes dans une clairière, au milieu de la forêt. Perdu.".
the printed name of clairiere is "Une petite clairière".

[chemin]
chemin is a room. "Vous êtes sur un chemin assez large.".
the printed name of chemin is "Un large chemin".

[chene]
chene is a room. 
the description of chene is "Vous vous retrouvez devant un très grand chêne, probablement centenaire.".
the printed name of chene is "Un grand chêne".


[porte_cabane]
the porte_cabane is a female door.
the printed name of the porte_cabane is "porte de la cabane".
the description of the porte_cabane is "Une  porte en bois, toute branlante.". 

the porte_cabane is locked and closed. The matching key of the porte_cabane is the cle_cabane.

understand "porte", "porte de la cabane", "entrée", "entree", "cabane", "petite cabane" as porte_cabane.


instead of touching the porte_cabane : say "Vous touchez une des planches qui constituent la cabane. Elle est en bois.[line break]Zut ! Vous avez maintenant une écharde dans le doigt. C'est malin !".

instead of smelling the porte_cabane : say "Ca sent le bois !".

[cabane]
cabane is a room.
the printed name of cabane is "Une cabane".
the description of cabane is "Vous êtes devant une petite cabane en bois.".

[sentier]
sentier is a room. "Vous êtes sur un petit sentier qui serpente dans la forêt.".
the printed name of sentier is "Un petit sentier".

[le_rocher]
le_rocher is a room. "Vous êtes devant un rocher.".
the printed name of le_rocher is "Un énorme rocher".

Section falaise

[falaise]
falaise is a room. "Vous êtes sur une très haute falaise. Vous entendez au loin le bruit d'une rivière.".
the printed name of falaise is "Une haute falaise".

[sauter]
instead of jumping for the first time:
	if location is falaise, say "Vous avez un peu le vertige et hésitez à sauter. C'est vraiment très haut.".

instead of jumping for the second time:
	if location is falaise
		begin;
			say "Vous respirez un bon coup, prenez votre élan, et sautez du haut de la falaise.[paragraph break]En tombant, vous entendez le sifflement du vent, puis brutalement vous sentez un grand froid vous envahir. C'est votre dernier souvenir. [line break]En tombant dans la rivière (glacée), votre corps heurte violemment un rocher et se disloque sous l'effet du choc.";
			end the game saying "Vous êtes mort. Dommage...";
		end if.
[écouter]
instead of listening, say "Vous entendez au loin le bruit d'une rivière.".


Section rivière

[bord de la rivière]
bord_riviere is a room. "Vous êtes au bord d'une rivière, c'est très joli.".
the printed name of bord_riviere is "Le bord d'une rivière".

[rivière]
the riviere is a female container. [la rivière est définie comme un contenant, et non pas comme un lieu à proprement parler : ça permet d'aller dedans plus facilement]

the riviere is fixed in place. riviere is enterable.
riviere is in bord_riviere. [localisation]
the description of riviere is "C'est une large rivière. Elle semble infranchissable. [if riviere contains something]Dans l'eau, vous pouvez voir : [list of everything in riviere].[end if]".
the printed name of riviere is "rivière".

understand "eau" as riviere.
understand "large rivière" as riviere.
understand "large riviere" as riviere.
understand "rivière"as riviere.

instead of searching riviere : say "Vous mettez la main dans la rivière et cherchez s'il y quelque chose au fond. Vous ne trouvez rien, mais l'eau est glacée. Brrrrr !! ".
instead of touching riviere : say "Vous mettez une main dans la rivière. L'eau est glacée.".
instead of taking riviere : say "Vous prenez un peu d'eau dans votre main. Elle coule entre vos doigts".
instead of drinking riviere : say "Vous prenez un peu d'eau dans votre main, et en buvez un peu. L'eau a un goût de vase. Vous la recrachez en faisant la grimace.".




[mettre des objets dans la rivière]
instead of inserting something into the riviere :
	if the noun is bouteille
		begin;
		say "Vous mettez la bouteille dans la rivière. Elle flotte. Le courant l'entraîne immédiatement au loin.";
		remove bouteille from play;
		otherwise;
		if the noun is buches
			begin;
			say "Il faudrait d'abord essayer d'attacher les bûches ensemble avant de les mettre dans l'eau, si vous voulez vous faire un radeau.";
			otherwise;
			if the noun is corde
				begin;
				say "Plutôt que de vouloir la mettre dans la rivière, il serait plus judicieux de l'utiliser pour attacher les bûches";
				otherwise;
				if the noun is fougère
					begin;
					say "Vous mettez la fougère dans la rivière. Elle flotte. Le courant l'entraîne immédiatement au loin.";
					remove fougère from play;
					otherwise;
					if the noun is bol
						begin;
						say "Vous mettez le bol dans l'eau. Il flotte quelques instants avant de se faire entraîner par le courant puis disparaître au fond de la rivière.";
						remove bol from play;
						if the noun is serpe
						begin;
							say "Cette serpe appartient probablement à quelqu'un. Il serait malvenu de la jeter dans la rivière.";
							otherwise;
							say "L'idée n'est pas très bonne.";
							end if;
						end if;
					end if;
				end if;
			end if;
		end if.

[aller/entrer dans la rivière]
instead of entering riviere for the first time, say "Etes-vous sûr ? Il y a beaucoup trop de courant, ce ne serait pas très prudent.".
	
instead of entering riviere for the second time, say "Il y a vraiment beaucoup de courant. Ce ne serait vraiment pas prudent du tout !".
						
instead of entering riviere for the third time:
	say "Vous allez dans la rivière et commencez à nager tranquillement. L'eau est froide.[paragraph break]Brutalement, le courant vous entraîne, et vous projette contre un rocher. [paragraph break]Vous perdez connaissance. Votre tête se retrouve sous l'eau, et alors qu'inconscient, vous respirez... vous inspirez de l'eau. [line break]Quelques minutes plus tard, vous n'inspirez plus rien."; 
	end the game saying "Vous êtes mort, noyé. Dommage...".[perdu]

	
understand "going in [something]" as entering.
	
instead of swimming:
	if location is bord_riviere
	begin;
	try entering riviere;
	otherwise;
		continue the action;
	end if.

Chapter - Cabane

interieur is a region.
interieur_cabane is in interieur.

[cabane]
the description of interieur_cabane is "Vous vous retrouvez à l'intérieur d'une petite cabane en bois.".
the printed name of interieur_cabane is "L'intérieur d'une petite cabane.".

instead of going to interieur_cabane:
	if porte_cabane is not locked
		begin;
			try opening porte_cabane;
			continue the action;
		otherwise;
			say "La porte est verrouillée.";
	end if.

instead of going to cabane when the player is in interieur_cabane:
	if porte_cabane is not locked
		begin;
			try opening porte_cabane;
			continue the action;
		otherwise;
			say "Vous avez verrouillé la porte.";
	end if.
	

[tentative d'entrée en force dans la cabane]	
instead of pushing or attacking the porte_cabane for the first time:
say "Vous frapper vigoureusement à la porte. Personne ne répond.".

instead of pushing or attacking the porte_cabane for the second time:
say "Vous allez finir par faire s[']écrouler la cabane si vous continuer à frapper ainsi.".

instead of pushing or attacking the porte_cabane for the third time:
say "Vous entendez un gros craquement. La cabane s[']écroule sur vous. Une planche vient heurter votre tempe et vous fracasse le crâne.";
end the game saying "Vous êtes mort. Dommage...".


Part - Les objets et personnages

Chapter - Extérieur

Section chemin

[fougère]
the fougère is a female thing in the chemin.
the fougère is fixed in place.

the description of fougère is "C'est une plante qui vit dans les sous-bois. [if player carry the serpe][otherwise]Peut-être y a-t-il quelque chose sous la fougère !?[end if]".


Understand "plante", "fougere" as fougère.

instead of cutting fougère :
if the fougère is fixed in place
begin;
	if player carry the couteau
		begin;
		say "Vous coupez la fougère avec votre couteau.";
		try taking the fougère;
		otherwise;
			if the player carry the serpe
			begin;
			say "Vous coupez la fougère avec la serpe.";
			change the fougère to portable;
			try taking the fougère;
			otherwise;
				say "Avec quoi voulez-vous couper la fougère ?";
			end if;
		end if;
	otherwise;
		continue the action;
	end if.

instead of taking fougère :
	if fougère is fixed in place
		begin;
		if player has couteau
			begin;
			change fougère to portable;
			if serpe is undiscovered
				begin;
				move serpe to location;
				change etat of serpe to discovered;
			end if;
			say "Vous coupez la fougère et la prenez. [if serpe is in location]Il y a quelque chose au dessous !...[end if]";
			move the fougère to player; 
			otherwise;
				say "La fougère est trop bien enracinée. Vous ne pouvez pas la prendre avec vos mains !";
			end if;
		otherwise;
		continue the action;
	end if.

[serpe]
the serpe is a female thing.
the description of serpe is "une serpe [if serpe is dirty]de couleur indéfinissable, très sale[end if][if serpe is clean]en or, magnifique[end if]".

understand "serpe d'or", "serpe en or" as the serpe.

[visibilité de la serpe]
instead of looking under fougère :
	if fougère is in chemin
		begin;
		if serpe is undiscovered
			begin;
			move serpe to location;
			change etat of serpe to discovered;
			say "Vous regardez sous la fougère et y découvrez [description of serpe].";
			otherwise;
				continue the action;
		end if;
		otherwise;
		say "Est-ce bien utile ?";
	end if.

[état de propreté de la serpe]
state is a kind of value. states are dirty and clean. 
etat is a kind of value. etats are discovered and undiscovered.
serpe has state. serpe is dirty.
serpe has etat. serpe is undiscovered.
 
instead of rubbing serpe:
	if location is bord_riviere
		begin;
		if the serpe is dirty, award 1 points;
		say "Vous nettoyer la serpe avec l[']eau de la rivière. Elle brille. C[']est véritablement une serpe en or.";
		change state of serpe to clean;
		otherwise;
			say "Il vous faut de l[']eau pour nettoyer la serpe.";
	end if.

understand "nettoyer" or "laver [something]" as rubbing.

after taking serpe :
if serpe is undiscovered
	begin;
	say "D'accord.";
	award 1 point;
	change etat of serpe to discovered;
	otherwise;
	continue the action;
end if.



Section rocher

[rocher]
the rocher is a male thing, fixed in place in le_rocher.
the printed name of the rocher is "un énorme rocher".
the description of the rocher is "Un très gros rocher à la forme étrange !".

understand "rocher", "gros rocher", "l'énorme rocher", "énorme rocher", "étrange rocher", "rocher étrange" as the rocher.

instead of climbing the rocher, say "Ce n'est peut-être pas le moment de faire de l'escalade !".


[le panier à provisions au pied du rocher]
the panier is a male container, in le_rocher. 
the printed name of panier is "panier à provisions". 
the description of panier is "Un grand panier à provisions [if panier contains something]contenant : [list of everything in panier][end if].". 
panier is a player's holdall. [définition d'un "sac" pour le joueur, qui pourra contenir plus d'objets que la limite imposée plus haut]

understand "panier à provisions", "panier à provision", "panier a provisions", "panier a provision" as panier.


[bouteille dans le panier]
the bouteille is a female transparent container.
bouteille is in panier. 
bouteille is openable.
bouteille is closed.
the description of bouteille is "Sur la bouteille, il y a une petit étiquette jaune.".

instead of drinking the bouteille:
	if the liquide is in the bouteille, try drinking the liquide.

[étiquette]
the étiquette is a female thing, part of bouteille.
the description is "Une petite étiquette jaune, avec une tête de mort dessinée dessus. Le mot POISON y est écrit.".

understand "étiquette jaune", "petite étiquette", "petite étiquette jaune" as étiquette.

[liquide]
the liquide is a male thing.
liquide is in bouteille.
the description of liquide is "Un liquide rose clair.".

instead of drinking liquide:
	say "Vous mettez la bouteille à la bouche et avalez une bonne partie du liquide qu'il contient. Le goût est étrange.[paragraph break]
		Votre tête est soudain lourde. Tout tourne autour de vous...[line break]
	Vous vous effondrez, inconscient.";
	end the game saying "Plusieurs années plus tard, un randonneur a découvert un squelette, le votre, à côté duquel se trouvait une bouteille vide. Sur l[']étiquette de la bouteille était dessinée une tête de mort... !!".

instead of taking liquide:
	say "En vidant la bouteille, celle-ci vous glisse des mains et se casse. Dommage.";
	remove bouteille from play.

[couteau]
the couteau is a male thing.
couteau is in panier.
the description of couteau is "Un gros couteau.".
the printed name of couteau is "couteau".

after taking the couteau for the first time, award 1 points.


[champignon]
the champignon is a male thing, in chemin.
the description is "Un gros champignon verdâtre.".

understand "gros champignon", "gros champignon verdâtre", "champignon verdâtre" as champignon.

instead of eating the champignon:
	say "Vous ne savez pas si le champignon est comestible. Vous décidez malgré cela d'y goûter. Ce n'est pas très bon... mais surtout, c'est un champignon très toxique.[paragraph break]
Vous avez très rapidement mal au ventre.[line break]
Au fur et à mesure que les heures passent, la douleur se fait de plus en plus intense...";
	end the game saying "Vous finissez par tomber dans le coma et mourir. Dommage...".

Section radeau

[radeau]
the radeau is a male supporter. 
radeau is enterable. radeau is not fixed in place.
the description of radeau is "Un solide petit radeau, fait de trois belles bûches de chêne, solidement attachées avec une corde.".

instead of tying buches to corde:
	if location is bord_riviere [au bord de la rivière]
		begin;
			if player has buches and player has corde
				begin;
					award 1 point;
					say "Avec les trois bûches de chêne et un peu de corde, vous réussissez à construire un petit radeau qui devrait pouvoir vous rendre service !";
					remove buches from play;
					remove corde from play; [retire du jeu]
					move radeau to location;
			otherwise;
				say "Vous n'avez pas de quoi fabriquer un radeau : il vous faut des bûches ou des planches et de la corde ou des clous pour les attacher ensemble.";
			end if;
	otherwise; [ailleurs qu'au bord de la rivière]
		if player has buches and player has corde
			begin;
			say "Vous avez ce qu[']il faut pour construire un radeau, mais il serait plus judicieux d'aller au bord de la rivière pour le faire !";
		otherwise;
			say "Vous n'avez pas de quoi fabriquer un radeau : il vous faut des bûches ou des planches et de la corde ou des clous pour les attacher ensemble.";
		end if;
	end if.
	
instead of inserting radeau into panier:
	say "Pensez-vous vraiment réussir à faire mettre votre radeau dans le panier ?".
	
instead of inserting radeau into boite:
	say "Pensez-vous vraiment réussir à faire entrer votre radeau dans une si petite boîte ?".

instead of inserting the radeau into riviere :
	award 1 point;
	display the figure of river;
	say "Vous mettez votre radeau dans l'eau et le coincez avec une pierre pour qu'il ne se fasse pas entraîner par le courant. Vous montez sur le radeau.[paragraph break]Vous vous retrouvez rapidement au milieu de la rivière. Le courant est violent, mais le radeau semble solide.";
	end the game saying "Bravo, vous avez réussi à quitter la forêt. Mais jusqu'où irez vous ? Où votre radeau vous emmènera-t-il ??".[gagné]

instead of entering the radeau :
if location is bord_riviere
	begin;
	try inserting the radeau into riviere;
	otherwise;
	continue the action;
	end if.

	
	
instead of putting radeau on riviere : try inserting radeau into riviere.

Section chêne

[la clé que possède le druide]
the cle_cabane is a female thing.
the printed name of cle_cabane is "clef".
the description of cle_cabane is "Une clef en fer, un peu rouillée.".

understand "clé", "clef", "cle" as cle_cabane.


[le druide près du chêne]
the druide is a man, in chene.
The description is "Un vieux druide aux longs cheveux blancs.".

instead of examining druide :
	if druide has serpe
		begin;
			say "Le druide vous sourit et répète : 'j[']ai retrouvé ma serpe'.";
		otherwise;
			say "Le druide ne vous voit pas, il semble préoccupé et marmonne sans cesse : 'Où donc est passée ma serpe ?'";
	end if.
	
instead of talking to druide :
	if the druide has the serpe
		begin;
		say "Le druide vous répète : 'Je vous remercie vraiment beaucoup d'avoir retrouvé ma serpe !'";
		otherwise;
		say "Le druide marmonne sans cesse : 'Où donc est passée ma serpe ?'";
		end if. 
	
instead of giving serpe to druide:
	if serpe is clean
		begin;
		award 1 points;
		say "Le druide vous regarde avec émerveillement. Il prend la serpe avec délicatesse et vous chuchote, ému : 'Je ne sais comment vous remercier'.[paragraph break]Il vous donne alors une petite clé. 'Tenez, voilà la clé de ma cabane, prenez y ce que vous voulez. Ce sera mon humble cadeau de remerciement.'";
		move the serpe to the druide;
		move the cle_cabane to the player;
	otherwise;
		say "Le druide vous sourit : 'C[']est très gentil à vous de vouloir me donner une serpe, mais celle-ci est sale et inutilisable. La mienne est en or et brille de mille feux.'";
	end if.


Chapter - Cabane

[table]
the table is a female supporter, in interieur_cabane.
the description of the table is "Une table en bois.[if something is on the table] Sur la table, il y a [list of everything on the table].[end if]".

understand "table en bois" as the table.

instead of smelling table : say "Vous percevez une petite odeur de cire.".
instead of touching table : say "La surface de la table est lisse et plane.".

[boite]
the boite is a female container, on the table.
the boite is closed and openable.
the description of boite is "Une petite boîte.".
the printed name is "boîte".
		
understand "boîte", "petite boîte", "petite boîte en bois" as the boite.

test boite with "regarder boite/toucher boite/sentir boite/prendre boite/ouvrir boite/fermer boite/déposer boite".

instead of touching the boite : say "La surface de la boîte est lisse.".
instead of smelling the boite : say "Vous percevez comme une odeur de corde.".
instead inserting panier into the boite : say "Pensez-vous vraiment réussir à mettre votre panier dans une si petite boîte ?".


[bol]
the bol is a male thing on the table.
the description of bol is "Un bol en terre cuite.".
the printed name of bol is "bol".

instead of touching the bol : say "La surface du bol est légèrement granuleuse.".
instead of smelling the bol : say "Il n'a pas d'odeur particulière.".


[tabouret]
the tabouret is a male supporter, in interieur_cabane.
tabouret is not fixed in place.
the description of tabouret is "Un tabouret en bois".
the printed name of tabouret is "tabouret".

understand "tabouret en bois" as tabouret.


instead of taking tabouret : say "Pour quoi faire ? Vous n'allez pas vous encombrer avec un tabouret !".
instead of entering tabouret : say "Est-ce vraiment le moment de s'asseoir ?".
instead of touching tabouret : say "Vous touchez le tabouret. Il n'a pas l'air très stable.".
instead of smelling tabouret : say "Peut-être sent-il un peu le bois ?".


[cheminée]
the cheminee is a female container, fixed in place, in interieur_cabane.
the description of cheminee is "Une vieille cheminée toute noire de suie. [if something is in cheminee] Dans la cheminée vous pouvez voir [list of everything in cheminee].[end if]".
the printed name of cheminee is "cheminée".

[buches]
the buches are female things.
the indefinite article is "des".
buches are in cheminee.
the description of buches is "Trois grosses bûches de chênes, qui pourraient être bien pratiques pour construire un radeau.".
the printed name of buches is "grosses bûches".


understand "grosses bûches", "grosses buches", "trois bûches", "trois buches", "trois grosses bûches", "trois grosses buches", "bûches", "buche", "bûche" as buches.

after taking buches for the first time, award 1 points.

instead of touching buches : say "Elles sont dures. Ce sont de vraies bûches en bois.".
instead of smelling buches : say "Elles sentent bon le bois.".


[corde]
the corde is a female thing in the boite.
the description of the corde is "Une longue corde, assez solide.  Si vous l'utilisiez pour attacher des morceaux de bois ensemble, vous devriez pouvoir vous fabriquer un radeau.".

after taking the corde for the first time, award 1 points.

instead of touching corde : say "Vous sentez la corde sous vos doigts.".
instead of smelling corde : say "Ça sent la corde.".


Part - positions respectives des lieux

[position des lieux les uns par rapport aux autres]
chemin is north of clairiere.
sentier is west of clairiere.
le_rocher is east of clairiere and south of bord_riviere.

chene is west of chemin.
bord_riviere is east of chemin.

chene is north of sentier.

cabane is south of sentier.
porte_cabane is inside of cabane.
interieur_cabane is inside of porte_cabane.

falaise is east of le_rocher.